Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletContextListener

All Superinterfaces:
  java.util.EventListener

public interface ServletContextListener
extends java.util.EventListener

Implementations of this interface recieve notifications about changes to the servlet context of the web application they are part of. To recieve notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  v 2.3
See Also:
  `ServletContextEvent`

Method Summary
`void` | `contextDestroyed(ServletContextEvent sce)` Notification that the servlet context is about to be shut down.
`void` | `contextInitialized(ServletContextEvent sce)` Notification that the web application is ready to process requests.

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent sce)

  Notification that the web application is ready to process requests.

### contextDestroyed

    public void contextDestroyed(ServletContextEvent sce)

  Notification that the servlet context is about to be shut down.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.